Skip to content
Get started

Download table data

client.StructuredSheets.Tables.Download(ctx, tableID, params) (*Response, error)
GET/v1/structured-sheets/{structured_sheet_id}/tables/{table_id}/download

Download the table data in the specified format.

Available formats:

  • parquet: Apache Parquet columnar format (recommended for data analysis)
  • csv: Comma-separated values (compatible with any spreadsheet application)
ParametersExpand Collapse
tableID string

The unique identifier of the table.

params StructuredSheetTableDownloadParams
StructuredSheetID param.Field[string]

Path param: The unique identifier of the structured sheet conversion.

Query param: The format to download the table data in.

const StructuredSheetTableDownloadParamsFormatParquet StructuredSheetTableDownloadParamsFormat = "parquet"
const StructuredSheetTableDownloadParamsFormatCsv StructuredSheetTableDownloadParamsFormat = "csv"
ReturnsExpand Collapse
type StructuredSheetTableDownloadResponse interface{…}

Download table data

package main

import (
  "context"
  "fmt"

  "github.com/deeptable-com/deeptable-go"
  "github.com/deeptable-com/deeptable-go/option"
)

func main() {
  client := deeptable.NewClient(
    option.WithAPIKey("My API Key"),
  )
  response, err := client.StructuredSheets.Tables.Download(
    context.TODO(),
    "tbl_01kfxgjd94fn9stqm45rqr2pnz",
    deeptable.StructuredSheetTableDownloadParams{
      StructuredSheetID: "ss_01kfxgjd94fn9stqm42nejb627",
      Format: deeptable.StructuredSheetTableDownloadParamsFormatParquet,
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response)
}
Returns Examples